Subject: Re: bug#56996: gpt_partition_set_system possible regression

From: "Brian C. Lane" <[email-masked]>
Date: Wed, 10 Aug 2022 09:25:18 -0700

On Fri, Aug 05, 2022 at 09:14:26AM +0200, Mathieu Othacehe wrote:
> 
> Hello,
> 
> In GNU Guix we are using GNU Parted via Guile-Parted bindings. Upgrading
> from Parted 3.4 to Parted 3.5 we discovered a possible regression.
> 
> We are creation a new partition on a gpt disk this way:
> 
> ped_partition_new (ext4)
> ped_partition_set_flag (PED_PARTITION_BIOS_GRUB)
> ped_partition_set_system (ext4)
> 
> Since 15c49ec04f7eaff014d2e1eddd0aecf4150db63d, ped_partition_set_system
> forces the gpt_part_data->type to PARTITION_LINUX_DATA_GUID, whereas it
> used to conserve the gpt_part_data->type to PARTITION_BIOS_GRUB_GUID.
> 
> This forces us to reverse the ped_partition_set_system and
> ped_partition_set_flag call order. Is that expected?

I've proposed this set of patches to fix this, if possible could you
test them out with your application?

https://alioth-lists.debian.net/pipermail/parted-devel/2022-August/005819.html

Thanks,

Brian
-- 
Brian C. Lane (PST8PDT) - weldr.io - lorax - parted - pykickstart